Kerbal Space Program - Bug #28315

Maneuver alarm switches to wrong vessel
07/18/2021 12:13 PM - DiomedesDK
Target version:
History
Description

When i create a maneuver alarm for my vessel (DORV-2 Moon Dolphin 3), go to another vessel, tracking station etc, press the alarm
clock and select the alarm for DORV-2 Moon Dolphin 3, press "Switch To", the game takes me to the viewpoint of another vessel
(DORV-2 Moon Dolphin 2) which has no manueuvers). The bug could maybe be related to the likeliness of the vessels' names, but is
however still a bug.

| play the 1.12.1 steam version.

| have uploaded a video with the issue on reddit

https://www.reddit.com/r/KerbalAcademy/comments/omp90z/i_have_experienced_a_new_bug_with_the maneuver/

History

#1 - 07/18/2021 12:19 PM - Anth12
Might be similar to #28207

If both DORV-2 Moon Dolphin 3 and DORV-2 Moon Dolphin 2 share the same persistent ID that might be the issue.

Do you have a quick save from the video?

#2 - 07/19/2021 01:30 PM - DiomedesDK

How would my two crafts get the same Persistent ID? They have been launched on two seperate occassions.

| am trying to upload the safefile, but get an error every time i try to upload it here. The file is <20mb

#3 - 07/19/2021 07:13 PM - Anth12
Zip the file. that will cut it down quite a bit

#4 - 07/19/2021 07:22 PM - DiomedesDK
- File quicksave #740.zip added
- File quicksave #740.loadmeta added

Here you go )

#5 - 07/19/2021 07:36 PM - Anth12

awesome! Ok lets see if its happening as | suspect it is

#6 - 07/19/2021 08:17 PM - Anth12
- File screenshot67.png added

Confirmed.

QA Manager: This might be more about that each craft should have a different Persistent ID than it being a problem with the Alarm
https://www.reddit.com/r/KerbalAcademy/comments/omp90z/i_have_experienced_a_new_bug_with_the_maneuver/
https://bugs.kerbalspaceprogram.com/issues/28207

#7 - 07/19/2021 08:21 PM - DiomedesDK

Ah yeah i see!l Thank you for the awesome help both here, and last week with the saving problems i encountered. How do i make sure that the
persistent ID's wont be similar? Is it a game bug or something that i do wrong?

#8 - 07/19/2021 09:03 PM - serdan
Anth12 wrote:

Confirmed.

QA Manager: This might be more about that each craft should have a different Persistent ID than it being a problem with the Alarm
| just set my version to 1.5.1 through Steam and I'm getting the same behavior w.r.t. persistent ids. The same ids are also saved to the craft file
(which is presumably how vessels launched at different times get the same id). | don't know what the persistent id is for, but it does not seem like it
was ever intended to be unique per vessel. Vessels do have a separate "pid" which seems to be unique (they are valid UUID's anyhow).
Am | missing something?

#9 - 07/19/2021 09:18 PM - Anth12

| don't see the point in a persistent ID for a craft if its not unique when its in "Flight"
#10 - 07/19/2021 09:24 PM - serdan
Anth12 wrote:
| don't see the point in a persistent ID for a craft if its not unique when its in "Flight"

The "pid" field is unique. | don't know what the "persistentld" field is for, but its presence in craft files would suggest that it's not a unique identifier for
vessel instances.

#11 - 07/19/2021 10:01 PM - Anth12

Interesting. A persistent file | have from 1.3.1 has no persistent ID at all. but the pid is definitely there

#12 - 07/19/2021 10:02 PM - Anth12

And a craft file from 1.2.2 which has no persistent ID at all compared to the current version

#13 - 07/19/2021 10:10 PM - Anth12
Looks like persistent ID started being a thing in 1.4

#14 - 07/19/2021 11:24 PM - serdan
Related bugs:

e Can't switch

e Can't edit

e Linked vessel is changed to current on edit

¢ Time left for maneuver alarms changes to current on edit
e SOI changes to current on edit

There are probably other variations on this, but it's all to do with the Alarm Clock not being able distinguish between related vessels, as well as the
AOORE problem reported by Anth12.

#15 - 07/26/2021 02:30 PM - Deepspeed
| have issues with this when | launch 2 identical vessels, especially if they have the same name at launch.

| use the same types of space planes, and have several nearly-identical probes going to other planets and the alarm menu's "switch to" button doesn't
work well for them, often dropping me into the wrong craft.

#16 - 07/26/2021 05:24 PM - serdan
Deepspeed wrote:
| have issues with this when | launch 2 identical vessels, especially if they have the same name at launch.

| use the same types of space planes, and have several nearly-identical probes going to other planets and the alarm menu's "switch to" button
doesn't work well for them, often dropping me into the wrong craft.
The name is irrelevant. | describe the problem in the link below and what you can do to fix it.
https://forum.kerbalspaceprogram.com/index.php?/topic/203958-alarm-clock-is-broken-and-impacted-saves-cant-be-fixed-programmatically/

Files

quicksave #740.zip 987 KB 07/19/2021 DiomedesDK
quicksave #740.loadmeta 399 Bytes 07/19/2021 DiomedesDK
screenshot67.png 1.5MB 07/19/2021 Anth12
